/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dto.convert;

import cz.muni.fi.cepportal.database.dto.EPLStatementDTO;
import cz.muni.fi.cepportal.database.entities.EPLStatement;

/**
 *
 * @author Štefan Repček
 */
public class EPLStatementConverter {
    
    public static EPLStatementDTO entityToDTO(EPLStatement entity)
    {
        if(entity== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EPLStatementDTO dto = new EPLStatementDTO();
        dto.setId(entity.getId());
        dto.setName(entity.getName());
        dto.setEplStatement(entity.getEplStatement());
        dto.setListener(entity.getListener());
        
        return dto;
    }
    
    
    public  static EPLStatement dtoToEntity(EPLStatementDTO dto)
    {
        if(dto== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EPLStatement entity = new EPLStatement();
        entity.setId(dto.getId());
        entity.setName(dto.getName());
        entity.setEplStatement(dto.getEplStatement());
        entity.setListener(dto.getListener());
        
        return entity;
    }
    
}
