/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.services;

import cz.muni.fi.cepportal.database.dto.EventStreamDTO;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import java.util.List;

/**
 *
 * @author steve
 */
public interface EventStreamService {
    
     public void createEventStream(EventStreamDTO eventStream) throws PreexistingEntityException;
    
    public void updateEventStream(EventStreamDTO eventStream)throws PreexistingEntityException;
    
    public void deleteEvent(EventStreamDTO eventStream) throws NonexistentEntityException;
    
    public EventStreamDTO getEventStreamByID(Long id);
    
    public EventStreamDTO findEventStreamByName(String name);
    
    public List<EventStreamDTO> findAllEventStreams();
    
}
