/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dao;

import cz.muni.fi.cepportal.database.entities.CEPOutput;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import java.util.List;

/**
 *  CEPOutput DAO interface
 * 
 * @author Štefan Repček
 */
public interface CEPOutputDAO {
    
    public void createCEPOutput(CEPOutput cepOutput);
    
    public void updateCEPOutput(CEPOutput cepOutput);
    
    public void deleteCEPOutput(CEPOutput cepOutput) throws NonexistentEntityException;
    
    public CEPOutput getCEPOutputByID(Long id);
    
    public CEPOutput findCEPOutputByName(String name);
    
    public List<CEPOutput> findAllCEPOutputs();
    
}
