/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dto.convert;


import cz.muni.fi.cepportal.database.dto.EventStreamDTO;

import cz.muni.fi.cepportal.database.entities.EventStream;

/**
 *
 * @author steve
 */
public class EventStreamConverter {
    
    public static EventStreamDTO entityToDTO(EventStream entity)
    {
        if(entity== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EventStreamDTO dto = new EventStreamDTO();
        dto.setId(entity.getId());
        dto.setName(entity.getName());
        dto.setEventStream(entity.getEventStream());
        
        return dto;
    }
    
    
    public static EventStream dtoToEntity(EventStreamDTO dto)
    {
        if(dto== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EventStream entity = new EventStream();
        entity.setId(dto.getId());
        entity.setName(dto.getName());
        entity.setEventStream(dto.getEventStream());
        
        return entity;
    }
    
}
