/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dto.convert;

import cz.muni.fi.cepportal.database.dto.EventTypeDTO;
import cz.muni.fi.cepportal.database.entities.EventType;

/**
 *
 * @author Štefan Repček
 */
public class EventTypeConverter {
    
    
    public static EventTypeDTO entityToDTO(EventType entity)
    {
        if(entity== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EventTypeDTO dto = new EventTypeDTO();
        dto.setId(entity.getId());
        dto.setEventName(entity.getEventName());
        dto.setEventRoot(entity.getEventRoot());
        dto.setEventScheme(entity.getEventScheme());
        
        return dto;
    }
    
    
    public static  EventType dtoToEntity(EventTypeDTO dto)
    {
        if(dto== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        EventType entity = new EventType();
        entity.setId(dto.getId());
        entity.setEventName(dto.getEventName());
        entity.setEventRoot(dto.getEventRoot());
        entity.setEventScheme(dto.getEventScheme());
        
        return entity;
    }
    
}
